cascading.util

## Class ShutdownUtil.Hook

- java.lang.Object
- - cascading.util.ShutdownUtil.Hook

- Enclosing class:
    ShutdownUtil

      public abstract static class ShutdownUtil.Hook
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ShutdownUtil.Hook.Priority`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShutdownUtil.Hook()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `execute()`
    `abstract ShutdownUtil.Hook.Priority` | `priority()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShutdownUtil.Hook

          public ShutdownUtil.Hook()

  - ### Method Detail

    - #### priority

          public abstract ShutdownUtil.Hook.Priority priority()

    - #### execute

          public abstract void execute()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.